SET(METIS_LIB_FILES
    ${METIS_LIBDIR}/balance.c
    ${METIS_LIBDIR}/bucketsort.c
    ${METIS_LIBDIR}/ccgraph.c
    ${METIS_LIBDIR}/coarsen.c
    ${METIS_LIBDIR}/compress.c
    ${METIS_LIBDIR}/debug.c
    ${METIS_LIBDIR}/estmem.c
    ${METIS_LIBDIR}/fm.c
    ${METIS_LIBDIR}/fortran.c
    ${METIS_LIBDIR}/frename.c
    ${METIS_LIBDIR}/graph.c
    ${METIS_LIBDIR}/initpart.c
    ${METIS_LIBDIR}/kmetis.c
    ${METIS_LIBDIR}/kvmetis.c
    ${METIS_LIBDIR}/kwayfm.c
    ${METIS_LIBDIR}/kwayrefine.c
    ${METIS_LIBDIR}/kwayvolfm.c
    ${METIS_LIBDIR}/kwayvolrefine.c
    ${METIS_LIBDIR}/match.c
    ${METIS_LIBDIR}/mbalance2.c
    ${METIS_LIBDIR}/mbalance.c
    ${METIS_LIBDIR}/mcoarsen.c
    ${METIS_LIBDIR}/memory.c
    ${METIS_LIBDIR}/mesh.c
    ${METIS_LIBDIR}/meshpart.c
    ${METIS_LIBDIR}/mfm2.c
    ${METIS_LIBDIR}/mfm.c
    ${METIS_LIBDIR}/mincover.c
    ${METIS_LIBDIR}/minitpart2.c
    ${METIS_LIBDIR}/minitpart.c
    ${METIS_LIBDIR}/mkmetis.c
    ${METIS_LIBDIR}/mkwayfmh.c
    ${METIS_LIBDIR}/mkwayrefine.c
    ${METIS_LIBDIR}/mmatch.c
    ${METIS_LIBDIR}/mmd.c
    ${METIS_LIBDIR}/mpmetis.c
    ${METIS_LIBDIR}/mrefine2.c
    ${METIS_LIBDIR}/mrefine.c
    ${METIS_LIBDIR}/mutil.c
    ${METIS_LIBDIR}/myqsort.c
    ${METIS_LIBDIR}/ometis.c
    ${METIS_LIBDIR}/parmetis.c
    ${METIS_LIBDIR}/pmetis.c
    ${METIS_LIBDIR}/pqueue.c
    ${METIS_LIBDIR}/refine.c
    ${METIS_LIBDIR}/separator.c
    ${METIS_LIBDIR}/sfm.c
    ${METIS_LIBDIR}/srefine.c
    ${METIS_LIBDIR}/stat.c
    ${METIS_LIBDIR}/subdomains.c
    ${METIS_LIBDIR}/timing.c
    ${METIS_LIBDIR}/util.c
    )
